# `LAMMPS_jll.jl` (v2.2.3+0)

[![deps](https://juliahub.com/docs/LAMMPS_jll/deps.svg)](https://juliahub.com/ui/Packages/LAMMPS_jll/MalPX?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/b1fb8093ca6554eda5b872d36f4e548c807114c1/L/LAMMPS/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `LAMMPS_jll.jl` have been built from these sources:

* git repository: https://github.com/lammps/lammps.git (revision: `7586adbb6a61254125992709ef2fda9134cfca6c`)

## Platforms

`LAMMPS_jll.jl` is available for the following platforms:

* `macOS aarch64 {mpi=mpich}` (`aarch64-apple-darwin-mpi+mpich`)
* `macOS aarch64 {mpi=mpitrampoline}` (`aarch64-apple-darwin-mpi+mpitrampoline`)
* `macOS aarch64 {mpi=openmpi}` (`aarch64-apple-darwin-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`aarch64-linux-gnu-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`aarch64-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`aarch64-linux-gnu-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`aarch64-linux-gnu-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`aarch64-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`aarch64-linux-gnu-cxx11-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`armv6l-linux-gnueabihf-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-cxx03-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`armv6l-linux-gnueabihf-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-cxx11-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`armv7l-linux-gnueabihf-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-cxx03-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`armv7l-linux-gnueabihf-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`armv7l-linux-gnueabihf-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-cxx11-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`armv7l-linux-gnueabihf-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`i686-linux-gnu-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`i686-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`i686-linux-gnu-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`i686-linux-gnu-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`i686-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`i686-linux-gnu-cxx11-mpi+openmpi`)
* `Windows i686 {cxxstring_abi=cxx03, mpi=microsoftmpi}` (`i686-w64-mingw32-cxx03-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx11, mpi=microsoftmpi}` (`i686-w64-mingw32-cxx11-mpi+microsoftmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`powerpc64le-linux-gnu-cxx03-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`powerpc64le-linux-gnu-cxx03-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`powerpc64le-linux-gnu-cxx11-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`powerpc64le-linux-gnu-cxx11-mpi+openmpi`)
* `macOS x86_64 {mpi=mpich}` (`x86_64-apple-darwin-mpi+mpich`)
* `macOS x86_64 {mpi=mpitrampoline}` (`x86_64-apple-darwin-mpi+mpitrampoline`)
* `macOS x86_64 {mpi=openmpi}` (`x86_64-apple-darwin-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`x86_64-linux-gnu-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`x86_64-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`x86_64-linux-gnu-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`x86_64-linux-gnu-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`x86_64-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`x86_64-linux-gnu-cxx11-mpi+openmpi`)
* `Windows x86_64 {cxxstring_abi=cxx03, mpi=microsoftmpi}` (`x86_64-w64-mingw32-cxx03-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx11, mpi=microsoftmpi}` (`x86_64-w64-mingw32-cxx11-mpi+microsoftmpi`)

## Dependencies

The following JLL packages are required by `LAMMPS_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)
* [`MPItrampoline_jll`](https://github.com/JuliaBinaryWrappers/MPItrampoline_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)
* [`OpenMPI_jll`](https://github.com/JuliaBinaryWrappers/OpenMPI_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `liblammps`
* `ExecutableProduct`: `lmp`
